Cisco päivitti IOS-käyttöjärjestelmää

Cisco IOS on laajassa käytössä olevien Cisco Systems -verkkolaitteiden käyttämä käyttöjärjestelmä. Cisco julkaisi puolivuosittaiset IOS-päivitykset, jotka korjaavat neljä haavoittuvuutta. Haavoittuvuudet eivät koske verkkolaitteiden oletusasetuksia.

Haavoittuvuus CVE-2015-6280 liittyy SSH (Secure Shell)-yhteyksien muodostamiseen RSA-todennusta käyttäen IOS- ja IOS XE-järjestelmissä. Hyökkääjä voi kirjautua haavoittuvaan järjestelmään käyttäjänä, mikäli tietää tämän käyttäjätunnuksen ja julkisen avaimen. Tavallisesti todennukseen käytetään salaista RSA-avainta, ja julkisen saa nimensä mukaisesti julkistaa.

Haavoittuvuus CVE-2015-6282 koskee vain IOS XE-järjestelmiä, joihin on konfiguroitu NAT- ja MPLS-palvelut (Network Address Translation, Multiprotocol Label Switching). Hyökkääjä voi aikaansaada verkkolaitteessa palvelunestotilan lähettämällä sen välitettäväksi tietyllä tavalla muotoillun paketin, joka vaatii käsittelyä NAT- ja MPLS-palveluissa.

Haavoittuvuudet CVE-2015-6279 ja CVE-2015-6278 liittyvät IPv6-pakettien käsittelyyn IOS- ja IOS XE-järjestelmissä. Mikäli verkkolaitteessa on konfiguroitu IPv6-turvaominaisuus ipv6 snooping, voi hyökkääjä aikaansaada palvelunestotilan lähettämällä verkkolaitteelle tietyllä tavalla muokatun IPv6-paketin.

  • Palvelimet ja palvelinsovellukset
  • Työasemat ja loppukäyttäjäsovellukset
  • Verkon aktiivilaitteet
  • Matkaviestinjärjestelmät
  • Sulautetut järjestelmät
  • Muut

Kohde

  • Verkon aktiivilaitteet
Lisätietoa +

Hyökkäystapa

  • Ilman kirjautumista
  • Etäkäyttö
  • Ilman käyttäjän toimia
Lisätietoja hyökkäystavasta +

Hyväksikäyttö

  • Palvelunestohyökkäys
  • Suojauksen ohittaminen
Lisätietoja hyväksikäytöstä +

Ratkaisu

  • Korjaava ohjelmistopäivitys
Lisätietoja ratkaisusta +

Haavoittuvat ohjelmistot:

  • Cisco IOS
  • Cisco IOS XE

Tarkemmat versiotiedot löytyvät valmistajan tiedotteista. Apuna voi käyttää valmistajan Cisco IOS Software Checker palvelua.

Ratkaisu- ja rajoitusmahdollisuudet:

Päivitä haavoittuvat ohjelmistot valmistajan ohjeiden mukaisesti. Päivitystiedotteet sisältävät lisäksi tietoa eri rajoitusmahdollisuuksista.

Lisätietoa:

Päivityshistoria

Asiasanat: Tietoturva , CERT , NCSC-FI , Palvelunestohyökkäys , Salaus , Verkkolaite

LinkedIn Print

Yhteystiedot

logo

Viestintävirasto

Kyberturvallisuuskeskus

PL 313, 00561 Helsinki


Mediayhteydenotot puhelimitse 0295 390 248